Summary: AdaCurses - Ada95 binding documentation for ncurses
%define AppProgram AdaCurses
%define AppVersion 6.6
%define AppRelease 20260502
%define AppPackage %{AppProgram}-doc
# $Id: AdaCurses-doc.spec,v 1.10 2025/06/21 18:34:55 tom Exp $
Name: %{AppPackage}
Version: %{AppVersion}
Release: %{AppRelease}
License: X11 License Distribution Modification Variant
Group: Applications/Development
URL: https://invisible-island.net/%{AppProgram}
Source0: %{AppProgram}-%{AppRelease}.tgz
Packager: Thomas Dickey <dickey@invisible-island.net>

%description
This is the Ada95 binding documentation from the ncurses 6.6
distribution, for patch-date 20260502.
%prep

%define debug_package %{nil}

%setup -q -n %{AppProgram}-%{AppRelease}

%build

INSTALL_PROGRAM='${INSTALL}' \
%configure \
	--target %{_target_platform} \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--with-ada-sharedlib

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

(cd doc && make install.html DESTDIR=$RPM_BUILD_ROOT )

%clean
if rm -rf $RPM_BUILD_ROOT; then
  echo OK
else
  find $RPM_BUILD_ROOT -type f | grep -F -v /.nfs && exit 1
fi
exit 0

%files
%defattr(-,root,root)
%{_datadir}/doc/%{AppProgram}

%changelog
# each patch should add its ChangeLog entries here

* Sat May 02 2026 Thomas Dickey
- testing ncurses 6.6.20260502

* Sat Nov 16 2019 Thomas Dickey
- modify clean-rule to work around Fedora NFS bugs.

* Sat Sep 07 2019 Thomas Dickey
- use AppProgram to replace "AdaCurses" globally

* Sat Mar 26 2011 Thomas Dickey
- initial version
